Manage User Profiles

Get user profile

GET https://api.fyno.io/v1/{WSID}/{version}/profiles/{distinct_id}

This API enables you to get an existing user profile.

Authorization

Authorizationheaderstringrequired

Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path Parameters

WSIDpathstringrequired

Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

versionpathenum (string)required

Specify the version for which you would like to manage the user profile.

Allowed valueslivetest
distinct_idpathstringrequired

Enter the distinct ID that you currently use to identify the user.

Response

application/json

Profile fetched successfully

channelobjectrequired
country_codestringrequired

The country code of the user. This value is automatically determined based on the number provided in the SMS channel of the profile. For a list of possible values, please <a href="https://content.fyno.io/docs/files/country_code.json" target="_blank">click here</a>.

created_atstringrequired

The timestamp when the profile was created in ISO Date Time Format.

distinct_idstringrequired

The distinct ID used to identify the user.

id_listarray of objectrequired

Other profile IDs previously linked to this profile.

namestring

The full name of the user.

profile_idstringrequired

Unique profile ID within Fyno.

statusenum (integer)required

The status of the user. If 1, the user is active and should receive notifications. If 0, the user in inactive and should not receive notifications.

Allowed values10
timezonestringrequired

The timezone of the user. For a list of possible values, please <a href="https://content.fyno.io/docs/files/timezones.json" target="_blank">click here</a>.

timezone_offsetstringrequired

The timezone offset of the user. The value is automatically determined based on the timezone provided for the user in the profile.

updated_atstringrequired

The timestamp when the profile was last updated in ISO Date Time Format.

versionenum (string)required

The version where the user profile is available.

Allowed valueslivetest